#language: ru

@milk_reception

Функционал: 01_milk_reception.02.001 Создание документа Установка цен

Сценарий: 01_milk_reception.02.001 Установка цены по поставщикам
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'История изменения цен'
	Тогда открылось окно 'История изменения цен'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Установка цен (создание)'
	И в таблице "ВидыЦен" я нажимаю на кнопку 'Добавить'
	И в таблице "ВидыЦен" я нажимаю кнопку выбора у реквизита "Вид цен"
	Тогда открылось окно 'Виды цен'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Поставщик 1'   |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Установка цен (создание) *'
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в поле 'от' я ввожу текст '05.09.2017'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Выберите номенклатуру'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_rec_Молоко'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Установка цен (создание) *'
	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/характеристика' |
		| 'milk_rec_Молоко'                      |
	И в таблице "ДеревоЦен" я активизирую поле "Новая цена"
	И в таблице "ДеревоЦен" я выбираю текущую строку
	И в таблице "ДеревоЦен" в поле 'Новая цена' я ввожу текст '30,00'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Установка цен (создание) *' в течение 20 секунд
	Тогда открылось окно 'История изменения цен'
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Установка цен * от *'     | ''           | ''                | ''               | ''            | ''         | ''        | ''       |
		| ''                                            | ''           | ''                | ''               | ''            | ''         | ''        | ''       |
		| 'Регистр сведений "Цены номенклатуры" (1)'    | ''           | ''                | ''               | ''            | ''         | ''        | ''       |
		| 'Стандартные реквизиты'                       | ''           | 'Измерения'       | ''               | ''            | ''         | 'Ресурсы' | ''       |
		| 'Активность'                                  | 'Период'     | 'Номенклатура'    | 'Характеристика' | 'Вид цен'     | 'Упаковка' | 'Цена'    | 'Валюта' |
		| 'Да'                                          | '*'          | 'milk_rec_Молоко' | ''               | 'Поставщик 1' | ''         | '26,00'   | 'RUB'    |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'История изменения цен'
	И Я закрываю окно 'История изменения цен'

Сценарий: 01_milk_reception.02.001 Установка цены-себестоимости
	И В командном интерфейсе я выбираю 'Производство' 'История изменения цен'
	Тогда открылось окно 'История изменения цен'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Установка цен (создание)'
	И в таблице "ВидыЦен" я нажимаю на кнопку 'Добавить'
	И в таблице "ВидыЦен" я нажимаю кнопку выбора у реквизита "Вид цен"
	Тогда открылось окно 'Виды цен'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Себестоимость' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Установка цен (создание) *'
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в поле 'от' я ввожу текст '04.09.2017'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Выберите номенклатуру'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_rec_Молоко'       |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Установка цен (создание) *'
	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' | 'Упаковка' |
		| 'milk_rec_Молоко'             | 'кг'       |
	И в таблице "ДеревоЦен" в поле 'Новая цена' я ввожу текст '20,00'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Установка цен (создание) *' в течение 20 секунд
	Тогда открылось окно 'История изменения цен'
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Установка цен * от *'     | ''           | ''                | ''               | ''              | ''         | ''        | ''       |
		| ''                                            | ''           | ''                | ''               | ''              | ''         | ''        | ''       |
		| 'Регистр сведений "Цены номенклатуры" (1)'    | ''           | ''                | ''               | ''              | ''         | ''        | ''       |
		| 'Стандартные реквизиты'                       | ''           | 'Измерения'       | ''               | ''              | ''         | 'Ресурсы' | ''       |
		| 'Активность'                                  | 'Период'     | 'Номенклатура'    | 'Характеристика' | 'Вид цен'       | 'Упаковка' | 'Цена'    | 'Валюта' |
		| 'Да'                                          | '*'          | 'milk_rec_Молоко' | ''               | 'Себестоимость' | ''         | '20,00'   | 'RUB'    |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'История изменения цен'
	И Я закрываю окно 'История изменения цен'